g15daemon does not start at startup

Bug #519850 reported by James Tatum on 2010-02-10
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
g15daemon (Debian)
Fix Released
Unknown
g15daemon (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Alvaro Aleman

Bug Description

Binary package hint: g15daemon

Since upgrading to Lucid, g15daemon has not worked at startup. At boot time, the screen flashes the clock briefly and then vanishes. sudo /etc/init.d/g15daemon start works after bootup. From user.log:

Feb 10 03:18:10 jtatum-desktop g15daemon: Unable to attach to the G15 Keyboard... exiting
Feb 10 03:18:15 jtatum-desktop g15daemon: Unable to attach to the G15 Keyboard... exiting
Feb 10 03:18:16 jtatum-desktop g15daemon: Process died - removing pidfile
Feb 10 03:19:00 jtatum-desktop g15daemon: last message repeated 2 times

ProblemType: Bug
Architecture: i386
Date: Wed Feb 10 09:12:20 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: fglrx
Package: g15daemon 1.9.5.3-8
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.17-generic
SourcePackage: g15daemon
Uname: Linux 2.6.32-12-generic i686

FIX:
Replace all instances of "SYSFS" in /lib/udev/rules.d/40-g15daemon.rules with "ATTR".

James Tatum (jtatum) wrote :
Alvaro Aleman (alvaroaleman) wrote :

Same over here. On my computer, g15daemon start on boot, but then crashes, Starting it manually with "/etc/init.d/g15daemon start" works perfectly

Hew (hew) wrote :

This is displayed when booting and in daemon.log:

udevd[463]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /lib/udev/rules.d/40-g15daemon.rules:7
udevd[463]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /lib/udev/rules.d/40-g15daemon.rules:10
udevd[463]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /lib/udev/rules.d/40-g15daemon.rules:13
udevd[463]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /lib/udev/rules.d/40-g15daemon.rules:16
udevd[463]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /lib/udev/rules.d/40-g15daemon.rules:19

Following the instructions I replaced all instances of SYSFS in /lib/udev/rules.d/40-g15daemon.rules with ATTR, and the LCD is functional again.

Changed in g15daemon (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
description: updated
James Tatum (jtatum) on 2010-03-11
Changed in g15daemon (Ubuntu):
assignee: nobody → James Tatum (jtatum)
status: Triaged → In Progress
James Tatum (jtatum) wrote :
Changed in g15daemon (Ubuntu):
assignee: James Tatum (jtatum) → nobody
status: In Progress → Confirmed
James Tatum (jtatum) wrote :

Added universe sponsorship queue so patch can get uploaded. Patch also submitted in Debian bug 573434.

Ancoron Luziferis (ancoron) wrote :

Just applied the patch to my Lucid Alpha 3 AMD64 system with latest updates applied.

I can confirm the fix and highly support the release nomination.

It comes up properly now, now crashes, no warnings.

Previously I also had some /dev/...input warning when starting the daemon manually. Those are gone too with the patch.

Changed in g15daemon (Ubuntu):
assignee: nobody → Ilya Barygin (randomaction)
status: Confirmed → In Progress
Ilya Barygin (randomaction) wrote :

Thank you! Uploaded. I changed Maintainer field to "Ubuntu Developers <email address hidden>" according to our current specification: https://wiki.ubuntu.com/DebianMaintainerField .

Changed in g15daemon (Ubuntu):
assignee: Ilya Barygin (randomaction) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package g15daemon - 1.9.5.3-8ubuntu1

---------------
g15daemon (1.9.5.3-8ubuntu1) lucid; urgency=low

  * Stop using deprecated SYSFS entries in udev rules (LP: #519850)
 -- James Tatum <email address hidden> Thu, 11 Mar 2010 08:22:37 -0500

Changed in g15daemon (Ubuntu):
status: Fix Committed → Fix Released
Alvaro Aleman (alvaroaleman) wrote :

Hm, Now the deamon doesn't start at startup and I also can't start it manually, there's only the "Logitech" sign on the screen..

Hew (hew) wrote :

Alvaro, please open a new bug for your issue, this one has been fixed.

Changed in g15daemon (Debian):
status: Unknown → New
Changed in g15daemon (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.